Bug 111674 - lvm2 should obsolete lvm but doesn't?
lvm2 should obsolete lvm but doesn't?
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: lvm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-08 11:08 EST by Jonathan Kamens
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 09:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2003-12-08 11:08:49 EST
Attempting to "rpm -U" the new lvm2 package fails because of a bunch 
of file conflicts with the lvm package.  I think lvm2 needs to 
obsolete lvm.
Comment 1 sangu 2003-12-14 09:35:44 EST
mkinitrd-3.5.15.1-2.i386.rpm requires both lvm and lvm2.

but intalled lvm2, print below messages

/usr/share/man/man8/lvchange.8.gz from install of lvm2-2.00.08-2
conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvcreate.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvdisplay.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvextend.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvm.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvmchange.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvmdiskscan.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvreduce.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvremove.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvrename.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/lvscan.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/pvchange.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/pvcreate.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/pvdisplay.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/pvmove.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/pvscan.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgcfgbackup.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgcfgrestore.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgchange.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgck.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgcreate.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgdisplay.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgexport.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgextend.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgimport.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgmerge.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgmknodes.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgreduce.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgremove.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgrename.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgscan.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
        file /usr/share/man/man8/vgsplit.8.gz from install of
lvm2-2.00.08-2 conflicts with file from package lvm-1.0.3-13
 
Comment 2 sangu 2003-12-15 07:33:51 EST
Installed lvm-1.0.3-17, my posted problem is fixed.
Thank yuu, Katz, Florian.LaRoche!

Note You need to log in before you can comment on or make changes to this bug.